Skip to main content
GET
/
files
/
{file_id}
/
preview
Download File
curl --request GET \
  --url https://{api_base_url}/files/{file_id}/preview \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/files/{file_id}/preview"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/files/{file_id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"status": 403,
"code": "file_access_denied",
"message": "Access to the requested file is denied."
}
{
"status": 404,
"code": "file_not_found",
"message": "The requested file was not found."
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

file_id
string<uuid>
required

The unique identifier of the file to preview, obtained from the Upload File API response.

Query Parameters

as_attachment
boolean
default:false

If true, forces the file to download as an attachment instead of previewing in browser.

user
string

User identifier, used for end-user context.

Response

Returns the raw file content. The Content-Type header is set to the file's MIME type. If as_attachment is true, the file is returned as a download with Content-Disposition: attachment.

The response is of type file.

Last modified on July 9, 2026